/*****************************************************************************/
/*
 *      optionswincb.h -- REALmagic simple windowing application in GTK
 *
 *      Copyright (C) 2001 Sigma Designs
 *                    written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*****************************************************************************/

#ifndef __OPTIONSWINCB_H__
#define __OPTIONSWINCB_H__

gboolean switch_digital_out_mode_cb(GtkWidget *, gpointer);
gboolean switch_TVcomponent_cb(GtkWidget *, gpointer);
gboolean switch_to_mute_mode(GtkWidget *, gpointer);
gboolean switch_audio_channel_mode(GtkWidget *, gpointer);
gboolean switch_VGAout_cb(GtkWidget *, gpointer );
gboolean switch_TVout_cb(GtkWidget * , gpointer );

void updateAudio(int , int );
void volume_changed( GtkAdjustment *, GtkAdjustment *);
void balance_changed( GtkAdjustment *,GtkAdjustment *);
void brightness_changed( GtkAdjustment *,gpointer);
void contrast_changed( GtkAdjustment *,gpointer);
void saturation_changed( GtkAdjustment *,gpointer);

gboolean volume_changed_popup_cb(GtkAdjustment *, gpointer);
gboolean vol_popup_cb(GtkWidget *, gpointer);

void refresh_TV_component_frame_cb( GtkWidget *);
void refresh_BSC_frame_cb(GtkWidget *);
void refresh_Volume_frame_cb(GtkWidget *);
void refresh_TV_standard_frame_cb( GtkWidget *);
void refresh_channel_frame_cb( GtkWidget *);
void refresh_digital_frame_cb(GtkWidget *);
void refresh_all_cb(GtkWidget *, gpointer);

gboolean C_Ok_clicked( GtkWidget *, gpointer);
gboolean C_Cancel_clicked( GtkWidget *, gpointer);

void saveGuiState(FMPOVERLAYVDO *);
void restoreGuiState(FMPOVERLAYVDO);
void resumeDisplayFromStop(FMPOVERLAYVDO *);

void minimizeGuiSize();
void normalGuiSize();
void prepareForFullScreen();

#endif /* OPTIONSWINCB_H */
